

package gov.va.med.cds.idm.client.webservice;


import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;


/***
 * 
 * @author Vivek Bhagavan
 *
 */
@WebServiceClient( name = "PSIMWebService", wsdlLocation = "file:psim.wsdl", targetNamespace = "PSIM" )
public class PSIMWebServiceLocator
    extends
        Service
{

    public final static QName SERVICE = new QName( "PSIM", "PSIMWebService" );
    public final static QName PSIMWebServicePort = new QName( "PSIM", "PSIMWebServicePort" );


    public PSIMWebServiceLocator( URL wsdlDocumentLocation, QName serviceName )
    {
        super( wsdlDocumentLocation, serviceName );
    }


    /**
     *
     * @return
     *     returns PSIMWebServicePort
     */
    @WebEndpoint( name = "PSIMWebServicePort" )
    public PSIMWebServicePort getPSIMWebServicePort( )
    {
        return super.getPort( PSIMWebServicePort, PSIMWebServicePort.class );
    }

}
